# Bio.PDB.Model module

Model class, used in Structure objects.

class Bio.PDB.Model.Model(id, serial_num=None)

  Bases: `Entity`[`Structure`, `Chain`]

  The object representing a model in a structure.

  In a structure derived from an X-ray crystallography experiment, only a single model will be present (with some exceptions). NMR structures normally contain many different models.

  __init__(id, serial_num=None)

    Initialize.

    Arguments:

      - id - int

      - serial_num - int

  __repr__()

    Return model identifier.

  get_chains()

    Return chains.

  get_residues()

    Return residues.

  get_atoms()

    Return atoms.

  atom_to_internal_coordinates(verbose: bool = False) → None

    Create/update internal coordinates from Atom X,Y,Z coordinates.

    Internal coordinates are bond length, angle and dihedral angles.

    Parameters:

      bool (verbose) – default False describe runtime problems

  __annotations__ = {}
  __firstlineno__ = 18
  __orig_bases__ = (Bio.PDB.Entity.Entity[ForwardRef('Structure'), ForwardRef('Chain')],)
  __parameters__ = ()
  __static_attributes__ = ('level', 'serial_num')
  internal_to_atom_coordinates(verbose: bool = False) → None

    Create/update atom coordinates from internal coordinates.

    Parameters:

      bool (verbose) – default False describe runtime problems

    Raises:

      Exception – if any chain does not have .pic attribute

Biopython v: 1.85

Versions
  Previous
  Latest
  Develop

Biopython Project
  Homepage
  On GitHub